                processor 6502

NUM_STARS       = 16

                include define.s
                include extern.s

                org map
                incbin bg\level24.map

                org randomacttbl
                incbin bg\level24.lvr

                org bganimcode
                inc bganimcounter
                lda bganimcounter
                and #$07
                bne bganimdone
                ldy #$00
                ldx chars+176*8+1
bganimloop:     lda chars+176*8+2,y
                sta chars+176*8+1,y
                iny
                cpy #$05
                bcc bganimloop
                stx chars+176*8+6
bganimdone:     lda bganimcounter
                and #$03
                bne bganimdone2
                ldx bganimindex
                ldy #$06
bganimloop2:    jsr bganimsub
                sta chars+192*8,y
                dey
                dey
                bpl bganimloop2
                stx bganimindex
bganimdone2:    ldy #$07
bganimloop3:    lda chars+196*8,y
                eor #%00000111
                sta chars+196*8,y
                lda chars+197*8,y
                eor #%11010000
                sta chars+197*8,y
                dey
                bpl bganimloop3
                jmp bganimsub2

                org blocks
                incbin bg\level24.blk

bganimsub:      lda randomareastart,x
                and #%11001100
                ora #%10001000
                inx
                rts

bganimsub2:     ldx #NUM_STARS-1
                lda starstrobe
                eor #$01
                sta starstrobe
                bne bgs2_drawloop

bgs2_moveloop:  lda #$03
                jsr bgs2_draw
                lda starx,x
                clc
                adc starspd,x
                sta starx,x
                dex
                bpl bgs2_moveloop
                rts

bgs2_drawloop:  ldy starspd,x
                lda starcolortbl-1,y
                jsr bgs2_draw
                dex
                bpl bgs2_drawloop
                rts

bgs2_draw:      asl
                asl
                sta temp2
                lda starx,x
                lsr
                lsr
                lsr
                and #$03
                tay
                ora temp2
                sta temp2
                stx temp1
                lda starx,x
                and #$e0
                ora stary,x
                tax
                lda chars+198*8,x
                and mask,y
                ldy temp2
                ora bits,y
                sta chars+198*8,x
                ldx temp1
                rts

mask:           dc.b %00111111
                dc.b %11001111
                dc.b %11110011
                dc.b %11111100

bits:           dc.b %00000000
                dc.b %00000000
                dc.b %00000000
                dc.b %00000000

                dc.b %01000000
                dc.b %00010000
                dc.b %00000100
                dc.b %00000001

                dc.b %10000000
                dc.b %00100000
                dc.b %00001000
                dc.b %00000010

                dc.b %11000000
                dc.b %00110000
                dc.b %00001100
                dc.b %00000011

starcolortbl:   dc.b 0,1,1,1,1,1,2,2

bganimcounter:  dc.b 0
bganimindex:    dc.b 0
starsinitted:   dc.b 0
starstrobe:     dc.b 0
starx:          dc.b $f8,$a0,$c0,$10,$38,$00,$90,$70
                dc.b $e0,$20,$40,$a8,$60,$78,$40,$d0
stary:          dc.b $00,$02,$05,$06,$08,$0a,$0c,$0e
                dc.b $10,$13,$14,$16,$18,$1a,$1d,$1e
starspd:        dc.b 1,1,7,1,1,4,1,5
                dc.b 1,3,1,1,6,1,2,1




                org blkcoltbl
                incbin bg\level24.blc

                org charinfo
                incbin bg\level24.chi

