;
; Script 16: computer messages #2
;

                include scriptm.s

                entrypoint ep1000
                entrypoint ep1001
                entrypoint ep1002
                entrypoint ep1003

;-------------------------------------------------------------------------------
; $1000
;-------------------------------------------------------------------------------

ep1000:         setbit PLOT_SADOK_MSG_READ
                lda #<ep1000t
                ldy #>ep1000t

multicompmsg:   sta mcompmsg_a+1
                sty mcompmsg_y+1
                lda #SFX_OBJECT
                jsr playsfx
                jsr beginfullscreen
                jsr border
mcompmsg_a:     lda #$00
mcompmsg_y:     ldy #$00
                jsr printscreentext
                lda #MSGTIME_ETERNAL
                jsr waitforfire

                lda #<ep1000t2
                ldy #>ep1000t2
                jmp compmsg

ep1000t:
                                ;1234567890123456789012345678
                dc.b 1,0,1,     "THE S.A.D.O.K PROJECT",0

                dc.b 1,2,1,     "THE PROJECT STARTED AS A",0
                dc.b 1,3,1,     "COMBAT AI EXPERIMENT -",0
                dc.b 1,4,1,     "SENTIENT, AUTONOMOUS DEFENSE",0
                dc.b 1,5,1,     "& OFFENSE KERNEL - BUT",0
                dc.b 1,6,1,     "EXPANDED INTO A FULL-SCALE",0
                dc.b 1,7,1,     "ANDROID PROGRAM. PERHAPS IT",0
                dc.b 1,8,1,     "WAS TOO MUCH AHEAD OF ITS",0
                dc.b 1,9,1,     "TIME - THE RESEARCHERS WERE",0
                dc.b 1,10,1,    "TOO EXCITED TO IMPLEMENT",0
                dc.b 1,11,1,    "PROPER SECURITY.",0

                dc.b 1,13,1,    "THREE CLONES WERE PRODUCED.",0
                dc.b 1,14,1,    "WHEN THEY WERE SWITCHED TO",0
                dc.b 1,15,1,    "FULLY AUTONOMOUS MODE, THEY",0
                dc.b 1,16,1,    "ESCAPED, KILLING SEVEN",0,$ff



ep1000t2:
                                ;1234567890123456789012345678
                dc.b 1,0,1,     "RESEARCHERS. SABOTAGE BY THE",0
                dc.b 1,1,1,     "AGENTS WAS SUSPECTED BUT",0
                dc.b 1,2,1,     "NEVER PROVEN.",0

                dc.b 1,4,1,     "DESTRUCTION OF TWO CLONES",0
                dc.b 1,5,1,     "HAS BEEN CONFIRMED.",0
                dc.b 1,6,1,     "SIGHTINGS OF THE THIRD CLONE",0
                dc.b 1,7,1,     "AT A MILITARY BASE HAVE BEEN",0
                dc.b 1,8,1,     "REPORTED.",0,$ff

;-------------------------------------------------------------------------------
; $1001
;-------------------------------------------------------------------------------

ep1001:         lda #<ep1001t
                ldy #>ep1001t
                jmp compmsg

                                ;1234567890123456789012345678
ep1001t:        dc.b 1,0,1,     "FROM: DRWARD@EREHWON.OUTER",0
                dc.b 1,1,1,     "TO: CMD@BLACKOPS.OUTER",0

                dc.b 1,3,1,     "WE DON'T HAVE ENOUGH INMATES",0
                dc.b 1,4,1,     "TO SUCCESSFULLY CONTINUE OUR",0
                dc.b 1,5,1,     "EXPERIMENTS, ESPECIALLY",0
                dc.b 1,6,1,     "AFTER THE PRIESTS CLAIMED",0
                dc.b 1,7,1,     "MOST OF THE REMAINING ONES",0
                dc.b 1,8,1,     "FOR THEIR OWN PURPOSES.",0

                dc.b 1,10,1,    "WE UNDERSTAND THE MOTTO OF",0
                dc.b 1,11,1,    "THE BLACK OPS IS 'TAKE NO",0
                dc.b 1,12,1,    "PRISONERS' BUT THE RESEARCH",0
                dc.b 1,13,1,    "WOULD DIRECTLY BENEFIT YOUR",0
                dc.b 1,14,1,    "TRAINING AND OPERATION AS",0
                dc.b 1,15,1,    "WELL.",0,$ff

;-------------------------------------------------------------------------------
; $1002
;-------------------------------------------------------------------------------

ep1002:         lda #<ep1002t
                ldy #>ep1002t
                jmp compmsg

                                ;1234567890123456789012345678
ep1002t:        dc.b 1,0,1,     "FROM: DRGRAVES@EREHWON.OUTER",0
                dc.b 1,1,1,     "TO: DRFJORD@RESEARCH.OUTER",0

                dc.b 1,3,1,     "> DO YOU THINK THIS IS SAFE?",0
                dc.b 1,4,1,     "> THIS MAN HAS SPENT TIME IN",0
                dc.b 1,5,1,     "> AN INSTITUTION FOR THE",0
                dc.b 1,6,1,     "> CRIMINALLY INSANE. BUT HIS",0
                dc.b 1,7,1,     "> WORK IS BRILLIANT.",0

                dc.b 1,9,1,     "I CAN'T COMMENT WITHOUT",0
                dc.b 1,10,1,    "STUDYING THE PERSON IN",0
                dc.b 1,11,1,    "QUESTION MYSELF. REMEMBER,",0
                dc.b 1,12,1,    "THE EREHWON CLINIC WELCOMES",0
                dc.b 1,13,1,    "ALL VISITORS WARMLY. WHETHER",0
                dc.b 1,14,1,    "THEY EVER COME BACK IS",0
                dc.b 1,15,1,    "ANOTHER QUESTION!",0,$ff


ep1003:         setbit PLOT_MADLOCUST_DEAD
                lda #<ep1003t
                ldy #>ep1003t
                jmp compmsg

                                ;1234567890123456789012345678
ep1003t:        dc.b 1,0,1,     "FROM: DRBLACK@EREHWON.OUTER",0
                dc.b 1,1,1,     "TO: CMD@BLACKOPS.OUTER",0

                dc.b 1,3,1,     "I AM AWARE OF THE NEED FOR",0
                dc.b 1,4,1,     "YOUR RECRUITS TO HARDEN",0
                dc.b 1,5,1,     "THEMSELVES BY WITNESSING THE",0
                dc.b 1,6,1,     "EXPERIMENTS WE PERFORM HERE,",0
                dc.b 1,7,1,     "AND THE SYMBOLIC MEANING",0
                dc.b 1,8,1,     "ATTACHED TO THE TORTURE AND",0
                dc.b 1,9,1,     "BREAKING DOWN OF AN AGENT.",0

                dc.b 1,11,1,    "UNFORTUNATELY THE AGENT",0
                dc.b 1,12,1,    "KNOWN AS 'MAD LOCUST' DIED",0
                dc.b 1,13,1,    "AFTER PROLONGED SESSIONS,",0
                dc.b 1,14,1,    "AND HE WAS THE LAST INMATE",0
                dc.b 1,15,1,    "AVAILABLE.",0,$ff


                endscript


