;
; Script 18: computer messages #4
;

                include scriptm.s

                entrypoint ep1200
                entrypoint ep1201
                entrypoint ep1202
                entrypoint ep1203
                entrypoint ep1204
                entrypoint ep1205

;-------------------------------------------------------------------------------
; $1200
;-------------------------------------------------------------------------------

ep1200:         lda #<ep1200t
                ldy #>ep1200t
                jmp compmsg

ep1200t:
                                ;1234567890123456789012345678
                dc.b 1,0,1,     "FROM: SEC@GLOBALINF.INNER",0
                dc.b 1,1,1,     "TO: ALL@GLOBALINF.INNER",0

                dc.b 1,3,1,     "SECURITY ROBOTS HAVE BEEN",0
                dc.b 1,4,1,     "INSTALLED. WE DO NOT TAKE",0
                dc.b 1,5,1,     "RESPONSIBILITY OF DEATH OR",0
                dc.b 1,6,1,     "INJURY TO THOSE WHO FAILED",0
                dc.b 1,7,1,     "TO TURN UP WHEN THE ID",0
                dc.b 1,8,1,     "DATABASE WAS UPDATED.",0,$ff

;-------------------------------------------------------------------------------
; $1201
;-------------------------------------------------------------------------------

ep1201:         lda #<ep1201t
                ldy #>ep1201t
                jmp compmsg

ep1201t:
                                ;1234567890123456789012345678
                dc.b 1,0,1,     "FROM: BOFH@GLOBALINF.INNER",0
                dc.b 1,1,1,     "TO: ALL@GLOBALINF.INNER",0

                dc.b 1,3,1,     "UNAUTHORIZED ENTERTAINMENT",0
                dc.b 1,4,1,     "SOFTWARE WAS DELETED AND",0
                dc.b 1,5,1,     "CORRESPONDING ACCOUNTS",0
                dc.b 1,6,1,     "LOCKED. NEXT TIME THE",0
                dc.b 1,7,1,     "CONSEQUENCES WILL BE MORE",0
                dc.b 1,8,1,     "SEVERE.",0,$ff

;-------------------------------------------------------------------------------
; $1202
;-------------------------------------------------------------------------------

ep1202:         jsr random
                and #$03
                ora #$30
                sta ep1202t_digit
                lda #<ep1202t
                ldy #>ep1202t
                jmp compmsg

                               ;1234567890123456789012345678
ep1202t:        dc.b 1,0,1,    "INNER SPHERE - OUTER SPHERE",0
                dc.b 1,1,1,    "GATEWAY",0

                dc.b 1,3,1,    "ONLINE",0
                dc.b 1,4,1,    "CPU USAGE 1"
ep1202t_digit:  dc.b "0 PERCENT",0,$ff

;-------------------------------------------------------------------------------
; $1203
;-------------------------------------------------------------------------------

ep1203:         lda #<ep1203t
                ldy #>ep1203t
                jmp compmsg

                                ;1234567890123456789012345678
ep1203t:        dc.b 1,0,1,     "IAC FLIGHT LOG",0

                dc.b 1,2,1,     "CODE PURPOSE          RESULT",0
                
                dc.b 1,4,1,     "3524 ABDUCTION            OK",0
                dc.b 1,5,1,     "3527 CATTLE MUTILATION    OK",0
                dc.b 1,6,1,     "3528 CROP CIRCLES         OK",0
                dc.b 1,7,1,     "3529 BODYPART DEPOSIT     OK",0
                dc.b 1,8,1,     "3531 ASSASINATION       FAIL",0
                dc.b 1,9,1,     "3533 ABDUCTION            OK",0
                dc.b 1,10,1,    "3535 ASSASINATION         OK",0
                dc.b 1,11,1,    "3537 DESTRUCTION/PANIC    OK",0
                dc.b 1,12,1,    "3538 DELETED             N/A",0
                dc.b 1,13,1,    "3539 CROP CIRCLES         OK",0

                dc.b 1,15,1,    "3531 - PILOT WAS EXECUTED",0
                dc.b 1,16,1,    "3535 - 2ND ATTEMPT SUCCESS",0,$ff


;-------------------------------------------------------------------------------
; $1204
;-------------------------------------------------------------------------------

ep1204:         lda #<ep1204t
                ldy #>ep1204t
                jsr compmsg
                getbit PLOT_REACTOR_WEAKNESS
                jumptrue ep1204skip
                setbit PLOT_REACTOR_WEAKNESS
                focus ACT_JOANAGENT
                bcc ep1204skip
                plrsay ep1204t2
ep1204skip:     stop

ep1204t2:       dc.b 34,"THIS GIVES ME AN IDEA..",34,0

                                ;1234567890123456789012345678
ep1204t:        dc.b 1,0,1,     "FROM: POWER@IACPROJ.INNER",0
                dc.b 1,1,1,     "TO: CMD@IACPROJ.INNER",0

                dc.b 1,3,1,     "NO UNAUTHORIZED PERSONS ARE",0
                dc.b 1,4,1,     "TO ENTER THE POWER PLANT OR",0
                dc.b 1,5,1,     "WE WILL EXECUTE THEM",0
                dc.b 1,6,1,     "PERSONALLY. ONE ACCESS CARD",0
                dc.b 1,7,1,     "IS MISSING - THIS IS BENEATH",0
                dc.b 1,8,1,     "INNER SPHERE STANDARDS.",0

                                ;1234567890123456789012345678
                dc.b 1,10,1,    "IF THERE'S CONTAMINATION IN",0
                dc.b 1,11,1,    "THE COOLANT SYSTEM, IT MAY",0
                dc.b 1,12,1,    "BE SWITCHED TO MANUAL OVER-",0
                dc.b 1,13,1,    "RIDE AND FLUSHED. BUT UNTIL",0
                dc.b 1,14,1,    "A CRITICAL BUG IS FIXED, THE",0
                dc.b 1,15,1,    "TWO CIRCUITS ARE NEVER TO BE",0
                dc.b 1,16,1,    "FLUSHED AT EXACT SAME TIME.",0,$ff


;-------------------------------------------------------------------------------
; $1205
;-------------------------------------------------------------------------------

ep1205:         lda #<ep1205t
                ldy #>ep1205t
                jmp compmsg

                                ;1234567890123456789012345678
ep1205t:        dc.b 1,0,1,     "TO: ALL@IACPROJ.INNER",0
                dc.b 1,1,1,     "FROM: AHRIMAN@CNTRL",0

                dc.b 1,3,1,     "GOOD WORK ON THE PSIONIC",0
                dc.b 1,4,1,     "RIFLE AND ALSO ON THE",0
                dc.b 1,5,1,     "LEVITATION DEVICE. NEVER",0
                dc.b 1,6,1,     "FORGET THE VALUE OF WHAT YOU",0
                dc.b 1,7,1,     "DO. THE FLIGHTS CLARIFY THE",0
                dc.b 1,8,1,     "SENTINELS' REAL INTENTIONS",0
                dc.b 1,9,1,     "IN A GRAPHIC WAY.",0

                dc.b 1,11,1,    "WE HAVE ONE SUGGESTION. THE",0
                dc.b 1,12,1,    "SENTINEL TEMPLE SHOULD BE",0
                dc.b 1,13,1,    "SEALED PERMANENTLY AS SOON",0
                dc.b 1,14,1,    "AS THE REVERSE-ENGINEERING",0
                dc.b 1,15,1,    "WORK IS COMPLETE.",0,$ff

                endscript
